Bug 1269504 - [abrt] evolution-data-server: magazine_chain_pop_head(): evolution-calendar-factory-subprocess killed by SIGSEGV
[abrt] evolution-data-server: magazine_chain_pop_head(): evolution-calendar-f...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7bc92b5897237abcfdd4dad53c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 08:44 EDT by Kamil Páral
Modified: 2016-12-20 09:54 EST (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:54:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (58.17 KB, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: cgroup (191 bytes, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: core_backtrace (20.53 KB, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: dso_list (17.07 KB, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: environ (855 bytes, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: maps (80.02 KB, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: mountinfo (3.26 KB, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: open_fds (830 bytes, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-10-07 08:44 EDT, Kamil Páral
no flags Details

  None (edit)
Description Kamil Páral 2015-10-07 08:44:05 EDT
Version-Release number of selected component:
evolution-data-server-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory-subprocess --factory contacts --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.Calendarx6685x2 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/Calendar/6685/2
crash_function: magazine_chain_pop_head
executable:     /usr/libexec/evolution-calendar-factory-subprocess
global_pid:     6731
kernel:         4.2.2-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:539
 #1 thread_memory_magazine1_alloc at gslice.c:842
 #2 g_slice_alloc at gslice.c:998
 #3 g_ptr_array_sized_new at garray.c:900
 #4 g_ptr_array_new at garray.c:881
 #5 g_main_context_new at gmain.c:649
 #6 g_dbus_connection_send_message_with_reply_sync at gdbusconnection.c:2134
 #7 g_dbus_connection_call_sync_internal at gdbusconnection.c:5930
 #8 g_dbus_connection_call_with_unix_fd_list_sync at gdbusconnection.c:6276
 #9 g_dbus_proxy_call_sync_internal at gdbusproxy.c:2852

Potential duplicate: bug 769523
Comment 1 Kamil Páral 2015-10-07 08:44:10 EDT
Created attachment 1080647 [details]
File: backtrace
Comment 2 Kamil Páral 2015-10-07 08:44:11 EDT
Created attachment 1080648 [details]
File: cgroup
Comment 3 Kamil Páral 2015-10-07 08:44:14 EDT
Created attachment 1080649 [details]
File: core_backtrace
Comment 4 Kamil Páral 2015-10-07 08:44:16 EDT
Created attachment 1080650 [details]
File: dso_list
Comment 5 Kamil Páral 2015-10-07 08:44:17 EDT
Created attachment 1080651 [details]
File: environ
Comment 6 Kamil Páral 2015-10-07 08:44:19 EDT
Created attachment 1080652 [details]
File: exploitable
Comment 7 Kamil Páral 2015-10-07 08:44:20 EDT
Created attachment 1080653 [details]
File: limits
Comment 8 Kamil Páral 2015-10-07 08:44:23 EDT
Created attachment 1080654 [details]
File: maps
Comment 9 Kamil Páral 2015-10-07 08:44:24 EDT
Created attachment 1080655 [details]
File: mountinfo
Comment 10 Kamil Páral 2015-10-07 08:44:26 EDT
Created attachment 1080656 [details]
File: namespaces
Comment 11 Kamil Páral 2015-10-07 08:44:28 EDT
Created attachment 1080657 [details]
File: open_fds
Comment 12 Kamil Páral 2015-10-07 08:44:29 EDT
Created attachment 1080658 [details]
File: proc_pid_status
Comment 13 Milan Crha 2015-10-15 02:43:57 EDT
Thanks for a bug report. It looks like some memory issue (memory corruption caused by the code) in the Birthdays & Anniversaries calendar backend.

Do you recall what you did before the crash, like for example enabling the calendar in the evolution, selecting a meeting invitation or similar actions within evolution or other Calendar application?
Comment 14 Kamil Páral 2015-10-15 05:00:02 EDT
Sorry, I guess I just found the crash in ABRT window. I don't remember performing some exact steps.
Comment 15 Fedora End Of Life 2016-11-24 07:43:25 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 09:54:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.